bcr_test_module:
  module_path: "examples/basic"
  matrix:
    bazel: [8.x]
  tasks:
    ubuntu2204:
      environment:
        PATH: $HOME/.local/share/mise/shims:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
      shell_commands:
      - curl https://mise.run | sh
      - ~/.local/bin/mise --version
      - echo 'eval "$(~/.local/bin/mise activate --shims bash)"' >> ~/.bashrc
      - . ~/.bashrc
      - mise use -g erlang@28
      name: "Build/test module on Ubuntu"
      platform: ubuntu2204
      bazel: ${{ bazel }}
      build_targets:
      - "..."
      test_targets:
      - "..."

incompatible_flags:
  # We are having non-hermetic builds
  "--incompatible_strict_action_env=": []